Bug 242445 - Grub writes wrong mbr
Grub writes wrong mbr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
:
: 242449 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 06:52 EDT by Joachim Backes
Modified: 2008-06-17 01:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2007-06-04 06:52:53 EDT
Description of problem:
After update from FC6 to F7 the the mbr is defective, I had to rewrite the grub
bootloader, but after this, no boot was possible (a black/white grub menu
appeared containing a wrong boot disk - the line was not editable).

The I booted with knoppix and rewrote the grub bootloader so I could boot again
properly with grub. But the if rewriting grub with grub-install in F7 destroys
the bootloader again. 


Version-Release number of selected component (if applicable):
grub-0.97-13


How reproducible:
grub-install in F7

Steps to Reproduce:
1.grub-install --recheck --no-floppy /dev/sda
2.
3.
  
Actual results:
Bootloader buggy  - cannot boot

Expected results:

Bootloader OK - can boot
Additional info:
Comment 1 Jeremy Katz 2007-06-04 14:26:48 EDT
*** Bug 242449 has been marked as a duplicate of this bug. ***
Comment 2 Joachim Backes 2007-06-08 01:51:24 EDT
Having troubles with an other system: After upgrade (write new grub loader),
/boot/grub/menu.lst contains the old FC6 entry, and 2 identical F7 entries:

title Fedora (2.6.20-1.2952.fc6)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.20-1.2952.fc6 ro root=/dev/sda1 rhgb quiet
title Fedora-base (2.6.21-1.3194.fc7)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.21-1.3194.fc7 ro root=LABEL=/ rhgb quiet
        initrd /boot/initrd-2.6.21-1.3194.fc7.img
title Fedora-base (2.6.21-1.3194.fc7)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.21-1.3194.fc7 ro root=LABEL=/ rhgb quiet
        initrd /boot/initrd-2.6.21-1.3194.fc7.img

This seems to be an anaconda bug.
Comment 3 Bug Zapper 2008-05-14 08:46:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:23:50 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Joachim Backes 2008-06-17 01:12:15 EDT
Cannot be reproduced in F9!

Note You need to log in before you can comment on or make changes to this bug.